Package com.google.protobuf

## Class InvalidProtocolBufferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.protobuf.InvalidProtocolBufferException

All Implemented Interfaces:
  `java.io.Serializable`

    public class InvalidProtocolBufferException
    extends java.io.IOException

Thrown when a protocol message being parsed is invalid in some way, e.g. it contains a malformed varint or a negative byte length.

Author:
  kenton@google.com Kenton Varda
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidProtocolBufferException​(java.lang.String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageLite` `getUnfinishedMessage()` Returns the unfinished message attached to the exception, or null if no message is attached.
`InvalidProtocolBufferException` `setUnfinishedMessage​(MessageLite unfinishedMessage)` Attaches an unfinished message to the exception to support best-effort parsing in `Parser` interface.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidProtocolBufferException

    public InvalidProtocolBufferException​(java.lang.String description)

### Method Detail

#### setUnfinishedMessage

    public InvalidProtocolBufferException setUnfinishedMessage​(MessageLite unfinishedMessage)

Attaches an unfinished message to the exception to support best-effort parsing in `Parser` interface.

Returns:
  this

#### getUnfinishedMessage

    public MessageLite getUnfinishedMessage()

Returns the unfinished message attached to the exception, or null if no message is attached.